net.sf.jasperreports.export

## Class SimpleGraphics2DReportConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleReportExportConfiguration
    - - net.sf.jasperreports.export.SimpleGraphics2DReportConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, Graphics2DReportConfiguration, ReportExportConfiguration
  Direct Known Subclasses:
    SimplePrintServiceReportConfiguration

      public class SimpleGraphics2DReportConfiguration
      extends SimpleReportExportConfiguration
      implements Graphics2DReportConfiguration

  Version:
    $Id: SimpleGraphics2DExporterConfiguration.java 6718 2013-11-11 09:32:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.Graphics2DReportConfiguration

      `MINIMIZE_PRINTER_JOB_SIZE`

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleGraphics2DReportConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Float` | `getZoomRatio()` The zoom ratio used for the export.
    `java.lang.Boolean` | `isIgnoreMissingFont()`
    `java.lang.Boolean` | `isMinimizePrinterJobSize()` Flag to control the use of an AWT rendering fix which causes the printer job size to be reduced when the exporter draws onto a printer graphic context.
    `void` | `setIgnoreMissingFont(java.lang.Boolean isIgnoreMissingFont)`
    `void` | `setMinimizePrinterJobSize(java.lang.Boolean isMinimizePrinterJobSize)`
    `void` | `setZoomRatio(java.lang.Float zoomRatio)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex, setEndPageIndex, setExporterFilter, setHyperlinkProducerFactory, setOffsetX, setOffsetY, setPageIndex, setProgressMonitor, setStartPageIndex`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimpleGraphics2DReportConfiguration

          public SimpleGraphics2DReportConfiguration()

  - ### Method Detail

    - #### getZoomRatio

          public java.lang.Float getZoomRatio()

      Description copied from interface: `Graphics2DReportConfiguration`
      The zoom ratio used for the export. The default value is 1.
      Specified by:
        `getZoomRatio` in interface `Graphics2DReportConfiguration`

    - #### setZoomRatio

          public void setZoomRatio(java.lang.Float zoomRatio)

    - #### isMinimizePrinterJobSize

          public java.lang.Boolean isMinimizePrinterJobSize()

      Description copied from interface: `Graphics2DReportConfiguration`
      Flag to control the use of an AWT rendering fix which causes the printer job size to be reduced when the exporter draws onto a printer graphic context. The fix was introduced to solve an old Java printing problem related to the size of printer spool jobs. However, it causes problems when bidirectional text is rendered, by losing text direction information. This flag is true, by default and should be set to false when bidirectional writing is present in the document that is sent to the printer.
      Specified by:
        `isMinimizePrinterJobSize` in interface `Graphics2DReportConfiguration`
      See Also:
        `Graphics2DReportConfiguration.MINIMIZE_PRINTER_JOB_SIZE`

    - #### setMinimizePrinterJobSize

          public void setMinimizePrinterJobSize(java.lang.Boolean isMinimizePrinterJobSize)

    - #### isIgnoreMissingFont

          public java.lang.Boolean isIgnoreMissingFont()

      Specified by:
        `isIgnoreMissingFont` in interface `Graphics2DReportConfiguration`

    - #### setIgnoreMissingFont

          public void setIgnoreMissingFont(java.lang.Boolean isIgnoreMissingFont)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com